Page MenuHomePhabricator

Turn off Lexeme-related client features (S) (days: 4)
Closed, ResolvedPublic

Description

For the first roll-out we do not want to allow accessing a Lexeme's data from the client because we need to put more work into it before it is working well and we don't need it for the first version.

Acceptance criteria:

  • From a client no data on a Lexeme can be accessed either via Lua or the parser functions (#property and #statements). Any attempt to do so results in “unknown entity ID” or (if possible) a nice message like “access to lexeme date is currently disabled.”

Implementation note: could be done in RestrictedEntityLookup

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 2:42 PM
Lucas_Werkmeister_WMDE renamed this task from Turn off Lexeme-related client features to Turn off Lexeme-related client features (S).Nov 20 2017, 2:13 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 11 2018, 5:24 PM

Change 403712 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Utilize disabled access for entity types as a config variable

https://gerrit.wikimedia.org/r/403712

WMDE-leszek renamed this task from Turn off Lexeme-related client features (S) to Turn off Lexeme-related client features (S) (days: 1).Jan 13 2018, 11:38 AM
WMDE-leszek renamed this task from Turn off Lexeme-related client features (S) (days: 1) to Turn off Lexeme-related client features (S) (days: 2).Jan 15 2018, 5:23 PM
WMDE-leszek renamed this task from Turn off Lexeme-related client features (S) (days: 2) to Turn off Lexeme-related client features (S) (days: 3).Jan 16 2018, 3:33 PM
WMDE-leszek renamed this task from Turn off Lexeme-related client features (S) (days: 3) to Turn off Lexeme-related client features (S) (days: 4).Jan 17 2018, 11:13 AM

Change 403712 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Utilize disabled access for entity types as a config variable

https://gerrit.wikimedia.org/r/403712

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Jan 20 2018, 5:36 PM
Lydia_Pintscher closed this task as Resolved.Jan 30 2018, 3:05 PM